# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ncmb_rb_wrapper/version'

Gem::Specification.new do |spec|
  spec.name          = "ncmb_rb_wrapper"
  spec.version       = Ncmb::VERSION
  spec.authors       = ['yutaszk']
  spec.email         = ['yutaszk@gmail.com']

  spec.description   = 'API wrapper for NIFTY Cloud mobile backend'
  spec.summary       = spec.description
  spec.homepage      = "https://github.com/yutaszk"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency "rspec", "~> 3.0"
  spec.add_dependency "multipart-post", "~> 2.0"
  spec.add_dependency "mimemagic", "~> 0.3.0"
end
